## apertium-separable 0.3.1

=== takeout/Makefile ===
CFLAGS= -I/usr/local/include/lttoolbox-3.3
LDFLAGS= -L/usr/local/lib -llttoolbox3

transducer2: ../src/transducer2.cc
	g++ -ggdb $(CFLAGS) -Wall ../src/transducer2.cc -o $@ $(LDFLAGS)

all: transducer2

test:
	./transducer2

clean:
	rm transducer2
	rm -rf transducer2.dSYM
	find . -name "*.fst" -type f -delete

=== debian/changelog ===
apertium-separable (0.3.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.

  [ Kartik Mistry ]
  * debian/control:
    + Updated Build-Depends.
    + Updated Standards-Version to 4.1.4
  * Updated debian/watch file.
  * Install examples in the package.

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jun 2018 17:47:56 +0530

apertium-separable (0.2.0~r84328-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release. (Closes: #893772)

 -- Kartik Mistry <kartik@debian.org>  Fri, 23 Mar 2018 18:16:34 +0530

=== debian/control ===
Source: apertium-separable
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.5.0),
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1.1),
               libxml2-dev,
               lttoolbox-dev (>= 3.4.2),
               pkg-config (>= 0.21),
               zlib1g-dev
Standards-Version: 4.1.4
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

Package: apertium-separable
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Reordering separable/discontiguous multiwords
 Apertium module for reordering separable/discontiguous multiwords.

## apertium-separable 0.3.2

=== debian/changelog ===
apertium-separable (0.3.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream.
  * Updated dh to 11.
  * Updated Standards-Version to 4.2.1

 -- Kartik Mistry <kartik@debian.org>  Sun, 14 Oct 2018 18:59:54 +0530

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: apertium-dev (>= 3.5.0),
-               autotools-dev,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: apertium-dev (>= 3.5.2),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1.1),
                libxml2-dev,
-               lttoolbox-dev (>= 3.4.2),
+               lttoolbox-dev (>= 3.5.0),
                pkg-config (>= 0.21),
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --fail-missing --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-separable-$1.tar.gz%" \
  https://github.com/apertium/apertium-separable/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-separable 0.3.3

=== debian/changelog ===
apertium-separable (0.3.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:15:24 +0100

apertium-separable (0.3.3-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream
  * Updated dh to 12
  * debian/control:
    + Updated Standards-Version to 4.4.1

  [ Kartik Mistry ]
  * Added debian/gitlab-ci.yml

 -- Kartik Mistry <kartik@debian.org>  Tue, 29 Oct 2019 18:23:29 +0530

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: apertium-dev (>= 3.5.2),
-               debhelper (>= 11),
-               dpkg-dev (>= 1.16.1.1),
+Build-Depends: apertium-dev (>= 3.6.0),
+               debhelper (>= 12),
                libxml2-dev,
                lttoolbox-dev (>= 3.5.0),
-               pkg-config (>= 0.21),
+               pkg-config,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-separable-$1.tar.gz%" \
    https://github.com/apertium/apertium-separable/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-separable 0.3.6

=== debian/changelog ===
apertium-separable (0.3.6-2) unstable; urgency=high

  * Fixed typo in Build-Depends: python->python3 (Closes: #984786)

 -- Kartik Mistry <kartik@debian.org>  Mon, 08 Mar 2021 17:25:39 +0530

apertium-separable (0.3.6-1) unstable; urgency=low

  * Update to latest upstream
  * debian/control:
    + Updated Standards-Version to 4.5.1

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Dec 2020 14:33:34 +0100

=== debian/control ===
Source: apertium-separable
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.7.0),
               debhelper-compat (= 13),
               libxml2-dev,
               lttoolbox-dev (>= 3.5.3),
               pkg-config,
               python3
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable
Rules-Requires-Root: no

Package: apertium-separable
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Reordering separable/discontiguous multiwords
 Apertium module for reordering separable/discontiguous multiwords.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --fail-missing --with autoreconf
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static
@@ -18,3 +18,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-separable-$1.tar.bz2%" \
    https://github.com/apertium/apertium-separable/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## apertium-separable 0.5.0

=== debian/changelog ===
apertium-separable (0.5.0-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream release.
  * debian/control:
    + Updated Build-Deps.
    + Updated Standards-Version to 4.6.0
  * Updated debian/watch.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 19 Mar 2022 19:28:09 +0530

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
-Build-Depends: apertium-dev (>= 3.7.0),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               libicu-dev,
                libxml2-dev,
-               lttoolbox-dev (>= 3.5.3),
+               lttoolbox-dev (>= 3.6.0),
                pkg-config,
                python3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-static

=== debian/watch ===
version=4
https://github.com/apertium/apertium-separable/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## apertium-separable 0.6.1

=== debian/changelog ===
apertium-separable (0.6.1-1build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 18:37:42 +0100

apertium-separable (0.6.1-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 05 Feb 2023 20:06:47 -0500

apertium-separable (0.6.1-1) unstable; urgency=medium

  * Update to latest upstream
    + Binary lsx-comp moved to package lttoolbox-dev (3.7.0)

 -- Tino Didriksen <tino@didriksen.cc>  Wed, 26 Oct 2022 13:41:14 +0200

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: debhelper-compat (= 13),
                libicu-dev,
                libxml2-dev,
-               lttoolbox-dev (>= 3.6.0),
+               lttoolbox-dev (>= 3.7.1),
                pkg-config,
                python3
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

## apertium-separable 0.7.1

=== debian/changelog ===
apertium-separable (0.7.1-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:16:48 +0200

apertium-separable (0.7.1-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Fri, 11 Apr 2025 10:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: apertium-separable
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libicu-dev,
                libxml2-dev,
-               lttoolbox-dev (>= 3.7.1),
+               lttoolbox-dev (>= 3.8.0),
                pkg-config,
                python3
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://apertium.org/
 Vcs-Git: https://salsa.debian.org/science-team/apertium-separable.git
 Vcs-Browser: https://salsa.debian.org/science-team/apertium-separable

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-static

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR) -type f -name '*.la' -exec rm -f '{}' \;
